package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;

public class Wizard extends Player {
    public Wizard(String name) {
        super(name, 70, 50, new Sword(), new KnightArmor());
    }

    @Override
    public void specialAbility(Entity target) {
        int manaCost = 20;
        if (mp < manaCost) {
            System.out.println("❌ Not enough Mana/Stamina for Devastating Spell!");
            return;
        }
        mp -= manaCost;
        System.out.println("🧙‍♂️✨ " + name + " cast Devastating Spell! (-" + manaCost + " Mana)");
        target.takeDamage(35);
        heal(15);
        System.out.println("💚 " + name + " replenished 15 HP from the spell!");
    }
}